Bug 1232277 - Use absolute paths to images in error pages
Summary: Use absolute paths to images in error pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 12:12 UTC by Ville Skyttä
Modified: 2015-07-14 16:42 UTC (History)
8 users (show)

Fixed In Version: nginx-1.0.15-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:13:11 UTC


Attachments (Terms of Use)
Use absolute paths to images in error pages (2.36 KB, patch)
2015-06-16 12:12 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2015-06-16 12:12:35 UTC
Relative ones don't work as these pages will load in whatever URL path
was requested, for example /does/not/exist. 'git am'able fix attached,
let me know if you'd like me to push and build this for devel.

Comment 1 Ville Skyttä 2015-06-16 12:12:38 UTC
Created attachment 1039414 [details]
Use absolute paths to images in error pages

Comment 2 Ville Skyttä 2015-06-16 12:17:50 UTC
(While at it, *.png could be run through optipng to save a few bytes in them.)

Comment 3 Fedora Update System 2015-06-16 21:34:21 UTC
nginx-1.8.0-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nginx-1.8.0-9.fc22

Comment 4 Fedora Update System 2015-06-16 21:35:20 UTC
nginx-1.6.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nginx-1.6.3-3.fc21

Comment 5 Fedora Update System 2015-06-16 21:39:02 UTC
nginx-1.0.15-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nginx-1.0.15-12.el6

Comment 6 Jamie Nguyen 2015-06-16 21:40:31 UTC
Thanks for the bug report and patch! (I split your patch in two so that I could cherry pick across branches.)

Comment 7 Fedora Update System 2015-06-16 21:51:11 UTC
nginx-1.4.7-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nginx-1.4.7-6.fc20

Comment 8 Fedora Update System 2015-06-20 21:11:50 UTC
Package nginx-1.0.15-12.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nginx-1.0.15-12.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6778/nginx-1.0.15-12.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-30 00:13:11 UTC
nginx-1.8.0-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-30 00:14:27 UTC
nginx-1.6.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-07-14 16:42:13 UTC
nginx-1.0.15-12.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.